Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.2.0   

Description

When you check if any row exists, using exists? that does not return ActiveRecord objects is more efficient than using first.

The attached patch replaces first with exists?.

Associated revisions

Revision 19746 - 2020-05-03 02:44 - Go MAEDA

Use more efficient "exists?" instead of "first" in tests when checking the existence of rows (#33367).

Patch by Go MAEDA.

History

#1 - 2020-04-29 11:06 - Go MAEDA

- Subject changed from Use more efficient "exists?" instead of "first” in tests when checking the existence of rows to Use more efficient "exists?"

instead of "first" in tests when checking the existence of rows

#2 - 2020-05-02 06:50 - Go MAEDA

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#3 - 2020-05-03 02:44 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.
